Subject: Re: [lojban] jbofi'e version 0.36 released

From: Robin Lee Powell <[email-masked]>
Date: Tue, 27 Mar 2001 18:42:47 -0500

On Tue, Mar 27, 2001 at 06:32:45PM -0500, Robert J. Chassell wrote:
> > - Switch to GNU General Public License
> > license)
> 
> GAAAAAKKKK!
> 
> Ummm, are you _sure_ that you want to make it impossible for people to
> make commercial software based on jbofi'e?
> 
> Robin, what do you mean? 
> 
> The GPL *guarantees* that *anyone* can make commercial software based
> on jbofi'e. With the GPL, you can sell software, you can give it
> away, you can change it, you can do what you like; but you may not
> take aways others rights. You are forbidden to forbid.

But you also have to distribute the source, which most companies
_will_not_do_. The effect is the same.

> It is a different kind of license, what the games theory people call a
> `sucker license', such as the BSD license, that makes it possible for
> one company to take Richard's work and prevent him and you and anyone
> else from using a derivation of Richard's work, even if you are the
> person making the changes and your changes are somewhat different from
> theirs and independently. Remember, the GPL guarantees your and
> others freedom. It does not let anyone else take it away, whether
> from the author or from anyone else. The BSD license does permit
> that: taking even from the author. (That was the intent, since the US
> military, the funding agency for BSD, was trying to subsidize US
> companies. The authors were paid for `work for hire'.)

Ummmm, that doesn't really bother me.

-Robin

-- 
http://www.csclub.uwaterloo.ca/~rlpowell/ BTW, I'm male, honest.
Information wants to be free. Too bad most of it is crap. --RLP